summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentfredric@gmail.com>2016-05-07 00:28:53 +1200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-05-15 01:33:59 +0200
commit7b9694d7a7371af189868c727c498fd1818eb175 (patch)
treeae34df80fd9dab2ded2359fa01936666e7fe6014 /virtual/perl-Thread-Semaphore
parentvirtual/perl-Text-Tabs+Wrap: Make Perl 5.24 a provider of 2013.52.300 (diff)
downloadgentoo-7b9694d7a7371af189868c727c498fd1818eb175.tar.gz
gentoo-7b9694d7a7371af189868c727c498fd1818eb175.tar.bz2
gentoo-7b9694d7a7371af189868c727c498fd1818eb175.zip
virtual/perl-Thread-Semaphore: Make Perl 5.24 a provider for 2.120.0
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
Diffstat (limited to 'virtual/perl-Thread-Semaphore')
-rw-r--r--virtual/perl-Thread-Semaphore/perl-Thread-Semaphore-2.120.0-r6.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/virtual/perl-Thread-Semaphore/perl-Thread-Semaphore-2.120.0-r6.ebuild b/virtual/perl-Thread-Semaphore/perl-Thread-Semaphore-2.120.0-r6.ebuild
new file mode 100644
index 00000000000..0d3625e154c
--- /dev/null
+++ b/virtual/perl-Thread-Semaphore/perl-Thread-Semaphore-2.120.0-r6.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
+IUSE=""
+
+RDEPEND="
+ || ( =dev-lang/perl-5.24* =dev-lang/perl-5.22* =dev-lang/perl-5.20* ~perl-core/${PN#perl-}-${PV} )
+ !<perl-core/${PN#perl-}-${PV}
+ !>perl-core/${PN#perl-}-${PV}-r999
+"